Skip to main content
GET
/
rti
/
fps
/
{payrollConfigId}
/
{taxYear}
/
{period}
Get HMRC RTI FPS for payroll run
curl --request GET \
  --url https://api.sandbox.flowpayroll.ai/v1/rti/fps/{payrollConfigId}/{taxYear}/{period} \
  --header 'X-Auth-Token: <api-key>'
{
  "message": {
    "text": "<string>",
    "token": "<string>",
    "tokenArguments": [
      {
        "name": "<string>",
        "value": "<string>"
      }
    ]
  },
  "content": {
    "data": {},
    "metadata": {
      "dateFormat": "yyyy-MM-dd",
      "dateTimeFormat": "yyyy-MM-ddTHH:mm:ss.fffZ",
      "paginationToken": "<string>"
    }
  },
  "validationIssues": [
    {
      "field": "<string>",
      "reason": "<string>",
      "reasonToken": "<string>",
      "reasonTokenArguments": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "messageToken": "<string>",
  "data": {
    "submissionBody": "<string>",
    "submissionResponse": "<string>",
    "errors": [
      "Error 1",
      "Error 2"
    ],
    "correlationId": "1234567890",
    "hmrcFpsSubmissionId": "1234567890",
    "hmrcFpsSubmissionDate": "2025-01-01T00:00:00Z",
    "hmrcFpsReportStatus": "Sent",
    "previewDownloadUrl": null,
    "submissionDownloadUrl": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Access token obtained from OAuth2 client credentials flow

Path Parameters

payrollConfigId
string
required

The payroll configuration ID

Pattern: ^[a-zA-Z0-9_-]+$
taxYear
string
required

The tax year

Pattern: ^[0-9]{4}$
period
string
required

The payroll period

Pattern: ^[0-9]+$

Response

Successfully retrieved HMRC RTI FPS

message
object
content
object
validationIssues
object[]
messageToken
string
data
object